commit 868cb29b1ddebc4128e9e4b84d92f4473aa3389c
Author: Bill Schmidt <wschmidt@linux.ibm.com>
Date:   Thu Jul 29 17:24:27 2021

    rs6000: Add int128 target check to pr101129.c (PR101531)
    
    Backport from mainline.
    
    2021-07-21  Bill Schmidt  <wschmidt@linux.ibm.com>
    
    gcc/testsuite/
            PR target/101531
            * gcc.target/powerpc/pr101129.c: Adjust.

diff --git a/gcc/testsuite/gcc.target/powerpc/pr101129.c b/gcc/testsuite/gcc.target/powerpc/pr101129.c
index 1abc12480e4..6b8e5a9b597 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr101129.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr101129.c
@@ -1,5 +1,6 @@
 /* { dg-do run } */
 /* { dg-require-effective-target p8vector_hw } */
+/* { dg-require-effective-target int128 } */
 /* { dg-options "-mdejagnu-cpu=power8 -O " } */
 
 /* PR101129: The swaps pass was turning a mult-lopart into a mult-hipart.

